<?php

declare(strict_types=1);

namespace App\Models\Market;

use App\Models\User;
use Hypervel\Database\Eloquent\Model;

class CooperativeDocument extends Model
{
    protected ?string $table = 'cooperative_documents';

    protected array $fillable = [
        'hashkey',
        'parent_hashkey',
        'version_number',
        'organization_id',
        'file_hashkey',
        'document_type',
        'revision_note',
        'created_by',
        'updated_by',
        'is_active',
    ];

    public function organization()
    {
        return $this->belongsTo(Organization::class, 'organization_id');
    }

    public function creator()
    {
        return $this->belongsTo(User::class, 'created_by');
    }

    public function updater()
    {
        return $this->belongsTo(User::class, 'updated_by');
    }
}
